
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window

extern color Color = Red;
extern color Color1 = Green;
extern int Size = 12;
extern string Font = "Arial Black";
double gd_96;
double gd_104;
double gd_112;
double gd_120;
double gd_128;
double gd_136;

int init() {
   return (0);
}

int deinit() {
   ObjectDelete("");
   ObjectDelete("");
   ObjectDelete("");
   return (0);
}

int start() {
   int li_0 = IndicatorCounted();
   gd_96 = MarketInfo(Symbol(), MODE_MARGINCALCMODE);
   gd_104 = AccountFreeMargin();
   gd_128 = MarketInfo(Symbol(), MODE_MARGINREQUIRED);
   gd_112 = AccountMargin();
   gd_120 = AccountEquity();
   if (gd_96 == 0.0) gd_136 = gd_104 / gd_128;
   else gd_136 = (gd_120 - 2.0 * gd_112) / gd_128;
   ObjectCreate("", OBJ_LABEL, 0, 0, 0);
   ObjectCreate("", OBJ_LABEL, 0, 0, 0);
   ObjectCreate("", OBJ_LABEL, 0, 0, 0);
   ObjectSet("", OBJPROP_XDISTANCE, 5);
   ObjectSet("", OBJPROP_YDISTANCE, 5);
   ObjectSet("", OBJPROP_XDISTANCE, 5);
   ObjectSet("", OBJPROP_YDISTANCE, 20);
   ObjectSet("", OBJPROP_XDISTANCE, 5);
   ObjectSet("", OBJPROP_YDISTANCE, 35);
   ObjectSetText("", StringConcatenate(" -  ", DoubleToStr(gd_136, 2)), Size, Font, Color);
   if (gd_96 == 0.0) ObjectSetText("", StringConcatenate("     - 1:", AccountLeverage()), Size, Font, Color1);
   else ObjectSetText("", StringConcatenate("    -   ", gd_128), Size, Font, Color1);
   ObjectSetText("", StringConcatenate("  -  ", AccountStopoutLevel(), "%"), Size, Font, Color1);
   return (0);
}